> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# View an object type

> View the details for an existing object type. See creating an object type or the overview page for details on the returned fields.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v1/crm-extensions-v1.json GET /extensions/sales-objects/v1/object-types/{objectTypeId}
openapi: 3.0.0
info:
  title: CRM Extensions API v1
  version: 1.0.0
  description: Legacy CRM Extensions API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /extensions/sales-objects/v1/object-types/{objectTypeId}:
    get:
      summary: View an object type
      description: >-
        View the details for an existing object type. See creating an object
        type or the overview page for details on the returned fields.
      operationId: getextensionssalesobjectsv1objecttypesobjectTypeId
      parameters:
        - name: objectTypeId
          in: path
          required: true
          description: The id of the object type you want to get.
          schema:
            type: string
        - name: hapikey
          in: query
          required: true
          description: >-
            Your Developer HAPIkey. This must be a Developer HAPIkey associated
            with the Developer portal that the OAuth app was created in.
          schema:
            type: string
      responses:
        '200':
          description: Successful response - Object type details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  applicationId:
                    type: integer
                  baseUris:
                    type: array
                    items:
                      type: string
                  dataFetchUri:
                    type: string
                  title:
                    type: string
                  propertyDefinitions:
                    type: array
                    items:
                      type: object
                  associatedHubSpotObjectTypes:
                    type: array
                    items:
                      type: string
                  associatedHubSpotObjectTypeProperties:
                    type: object

````